Personal tools
You are here: Home Forum Install & build How to solve installation problem of Salome 9.3 in Ubuntu 18.04

How to solve installation problem of Salome 9.3 in Ubuntu 18.04

Up to Install & build

How to solve installation problem of Salome 9.3 in Ubuntu 18.04

Posted by Marieswaran at June 10. 2019

Hi,

Installing Salome is not as easy as it is documented. I am putting here some of my experiences and solution I found during installation.

Salome version 9.3

Operating system Ubuntu 18.04

I used to have have similar problem reported in this link  https://www.salome-platform.org/forum/forum_9/705680976

In another discussion in this forum, it was mentioned that the problem was due to python 3 vs python 2.

I found that in my computer default python version is 3. I also found that there is no python 2 in my computer. I have also installed anaconda for my other works. So I create a virtual environment for python2 using conda environments. Then I installed the salome 9.3 from this conda environment. Installation went fine without any errors. 

conda is not a requirement. I think python2 environment can be created without conda also. So my suggestion is to use python2 environment to install salome.

 

Regards

Maries

 

 

 

Re: How to solve installation problem of Salome 9.3 in Ubuntu 18.04

Posted by Marieswaran at June 10. 2019

I forgot to mention, even ubuntu 18.04 installation file was also not installing. So I tried the above steps with universal binaries. 

Re: How to solve installation problem of Salome 9.3 in Ubuntu 18.04

Posted by Marieswaran at June 10. 2019

It seems I made wrong conclusion. Though my issue is resolved, I went through the prerequisites file in installation folder. It requires python 365 as prerequisite. My installation issue maybe because of something else. 

Powered by Ploneboard
Document Actions